summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* app-editors/vim: add ipv6 USE flag support.Vitaly Zdanevich5 days2-1/+8
| | | | | | | Closes: https://bugs.gentoo.org/790446 Closes: https://github.com/gentoo/gentoo/pull/20911 Signed-off-by: Vitaly Zdanevich <zdanevich.vitaly@ya.ru> Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
* app-editors/vim: bump to python 3.10Zamarin Arthur2021-05-242-2/+2
| | | | | Signed-off-by: Zamarin Arthur <arthurzam@gmail.com> Signed-off-by: Michał Górny <mgorny@gentoo.org>
* app-editors/vim: Python 3.9 compatibilityCraig Andrews2021-05-182-2/+2
| | | | | Package-Manager: Portage-3.0.18, Repoman-3.0.3 Signed-off-by: Craig Andrews <candrews@gentoo.org>
* app-editors/vim: drop old versionConrad Kostecki2021-03-265-1284/+0
| | | | | | | | | | | | | | | | | | | | | | Dropping all old versions, which do not support slotted lua, while current stable does. Closes: https://bugs.gentoo.org/616680 Closes: https://bugs.gentoo.org/716450 Closes: https://bugs.gentoo.org/715886 Closes: https://bugs.gentoo.org/691892 Closes: https://bugs.gentoo.org/688044 Closes: https://bugs.gentoo.org/684336 Closes: https://bugs.gentoo.org/642356 Closes: https://bugs.gentoo.org/641946 Closes: https://bugs.gentoo.org/645062 Closes: https://bugs.gentoo.org/630018 Closes: https://bugs.gentoo.org/629830 Closes: https://bugs.gentoo.org/628974 Closes: https://bugs.gentoo.org/612030 Package-Manager: Portage-3.0.17, Repoman-3.0.2 Signed-off-by: Conrad Kostecki <conikost@gentoo.org>
* */*: Remove obsolete values from PYTHON_COMPATMichał Górny2021-01-316-6/+6
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* app-editors/vim: Stabilize 8.2.0814-r100 ppc, #766528Sam James2021-01-241-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* app-editors/vim: Stabilize 8.2.0814-r100 ppc64, #766528Sam James2021-01-241-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* app-editors/vim: Stabilize 8.2.0814-r100 arm64, #766528Sam James2021-01-231-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* app-editors/vim: Stabilize 8.2.0814-r100 arm, #766528Sam James2021-01-231-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* app-editors/vim: Stabilize 8.2.0814-r100 sparc, #766528Sam James2021-01-231-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* app-editors/vim: Stabilize 8.2.0814-r100 x86, #766528Sam James2021-01-231-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* app-editors/vim: Stabilize 8.2.0814-r100 amd64, #766528Sam James2021-01-231-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* app-editors/vim: drop x86-macosFabian Groffen2021-01-066-12/+12
| | | | | Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
* app-editors/vim: drop ppc-aix m68k-mintFabian Groffen2020-12-276-6/+6
| | | | | Package-Manager: Portage-3.0.9, Repoman-3.0.2 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
* app-editors/vim: migrate to lua-single.eclassMarek Szuba2020-12-212-9/+347
| | | | | | | | | Both the latest release we have got in the tree and the live ebuild. Compatibility - same as in unmigrated ebuilds, with the USE=deprecated requirement on PUC Lua I didn't even bother testing newer versions. Closes: https://bugs.gentoo.org/752537 Signed-off-by: Marek Szuba <marecki@gentoo.org>
* app-editors/vim: do not create symlink vimdiff for minimal.Dongsu Park2020-12-065-5/+15
| | | | | | | | | | | | A symlink `vimdiff` should not be created, if the USE flag `minimal` is enabled. Otherwise running `vimdiff` results in failure like that: $ vimdiff aaa bbb This Vim was not compiled with the diff feature. Signed-off-by: Dongsu Park <dongsu@kinvolk.io> Signed-off-by: Patrice Clement <monsieurp@gentoo.org> Closes: https://github.com/gentoo/gentoo/pull/18496
* app-editors/vim: stable 8.2.0814 for sparc, bug #737506Rolf Eike Beer2020-09-161-1/+1
| | | | | | | Package-Manager: Portage-3.0.4, Repoman-3.0.1 RepoMan-Options: --include-arches="sparc" Signed-off-by: Rolf Eike Beer <eike@sf-mail.de> Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* app-editors/vim: Stabilize 8.2.0814 arm64, #737506Sam James2020-09-121-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* app-editors/vim: arm stable (bug #737506)Sam James2020-09-121-1/+1
| | | | | Package-Manager: Portage-3.0.4, Repoman-3.0.1 Signed-off-by: Sam James <sam@gentoo.org>
* app-editors/vim: get python3 interpreter using ${PYTHON} variable.Patrice Clement2020-07-041-1/+1
| | | | | | | | Patch courtesy of Alexander Tsoy <alexander@tsoy.me>. Closes: https://bugs.gentoo.org/692226 Package-Manager: Portage-2.3.99, Repoman-2.3.23 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
* app-editors/vim: Version bump (v8.2.0814)Mikle Kolyada2020-05-242-0/+319
| | | | | Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
* app-editors/vim: Version bump (v8.2.0638)Mikle Kolyada2020-04-252-0/+319
| | | | | Package-Manager: Portage-2.3.89, Repoman-2.3.20 Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
* app-editors/vim: Version bump (v8.2.0508)Mikle Kolyada2020-04-043-1/+321
| | | | | Package-Manager: Portage-2.3.89, Repoman-2.3.20 Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
* app-editors/vim: Drop old (8.1.x)Mikle Kolyada2020-04-042-319/+0
| | | | | Package-Manager: Portage-2.3.89, Repoman-2.3.20 Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
* */*: Drop stable ia64 keywordsMatt Turner2020-04-031-1/+1
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* app-editors/vim: Drop oldMikle Kolyada2020-04-035-1280/+0
| | | | | Package-Manager: Portage-2.3.89, Repoman-2.3.20 Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
* app-editors/vim: arm64 stable wrt bug #715732Mikle Kolyada2020-04-031-1/+1
| | | | | | Package-Manager: Portage-2.3.89, Repoman-2.3.20 RepoMan-Options: --include-arches="arm64" Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
* app-editors/vim: arm stable wrt bug #715732Mikle Kolyada2020-04-031-1/+1
| | | | | | Package-Manager: Portage-2.3.89, Repoman-2.3.20 RepoMan-Options: --include-arches="arm" Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
* app-editors/vim: ppc stable wrt bug #715732Mikle Kolyada2020-04-031-1/+1
| | | | | | Package-Manager: Portage-2.3.89, Repoman-2.3.20 RepoMan-Options: --include-arches="ppc" Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
* app-editors/vim: x86 stable wrt bug #715732Mikle Kolyada2020-04-031-1/+1
| | | | | | Package-Manager: Portage-2.3.89, Repoman-2.3.20 RepoMan-Options: --include-arches="x86" Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
* app-editors/vim: amd64 stable wrt bug #715732Mikle Kolyada2020-04-031-1/+1
| | | | | | Package-Manager: Portage-2.3.89, Repoman-2.3.20 RepoMan-Options: --include-arches="amd64" Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
* app-editors/vim: stable 8.2.0360 for sparc, bug #715732Rolf Eike Beer2020-04-021-1/+1
| | | | | | | Package-Manager: Portage-2.3.89, Repoman-2.3.20 RepoMan-Options: --include-arches="sparc" Signed-off-by: Rolf Eike Beer <eike@sf-mail.de> Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* app-editors/vim: 8.2.0360 ppc64 stable, bug #715732Georgy Yakovlev2020-04-011-1/+1
| | | | | Package-Manager: Portage-2.3.96, Repoman-2.3.22 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
* */*: Discontinue Gentoo SuperH portMikle Kolyada2020-03-267-7/+7
| | | | | | Package-Manager: Portage-2.3.89, Repoman-2.3.20 RepoMan-Options: --ignore-arches Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
* app-editors/vim: Version bump (v8.2.0360)Mikle Kolyada2020-03-072-0/+319
| | | | | Package-Manager: Portage-2.3.89, Repoman-2.3.20 Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
* app-editors/vim: version bump to 8.2.0210Tim Harder2020-02-043-2/+322
| | | | | | | | Link against python3 shared lib when related support is enabled instead of possibly existing static lib. Closes: https://bugs.gentoo.org/669306 Signed-off-by: Tim Harder <radhermit@gentoo.org>
* */*: Drop stable alpha keywordsMatt Turner2020-01-251-1/+1
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* app-editors/vim: version bump to 8.2.0114Tim Harder2020-01-123-6/+323
| | | | | | | Update to EAPI 7, sync live ebuild, drop py2 support, add py38 support, and add ruby27 support. Signed-off-by: Tim Harder <radhermit@gentoo.org>
* */*: Clean PYTHON_COMPAT of obsolete implsMichał Górny2020-01-054-8/+8
| | | | | Closes: https://github.com/gentoo/gentoo/pull/14246 Signed-off-by: Michał Górny <mgorny@gentoo.org>
* app-editors/vim: Version fixupMikle Kolyada2019-12-301-1/+1
| | | | | Package-Manager: Portage-2.3.79, Repoman-2.3.16 Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
* app-editors/vim: Version bump (v8.2.0055)Mikle Kolyada2019-12-292-0/+321
| | | | | Package-Manager: Portage-2.3.79, Repoman-2.3.16 Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
* app-editors: Remove *-fbsd KEYWORDSMichał Górny2019-10-113-3/+3
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* app-editors/vim: version bump to 8.1.1846Tim Harder2019-08-143-1/+325
| | | | Signed-off-by: Tim Harder <radhermit@gentoo.org>
* app-editors/vim: remove oldTim Harder2019-07-2910-2839/+0
| | | | Signed-off-by: Tim Harder <radhermit@gentoo.org>
* app-editors/vim: arm stable wrt bug #687394Mikle Kolyada2019-07-281-1/+1
| | | | | | Package-Manager: Portage-2.3.66, Repoman-2.3.16 RepoMan-Options: --include-arches="arm" Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
* app-editors/vim: arm64 stable wrt bug #687394Aaron Bauman2019-07-211-1/+1
| | | | Signed-off-by: Aaron Bauman <bman@gentoo.org>
* app-editors/vim: s390 stable wrt bug #687394Mikle Kolyada2019-06-171-1/+1
| | | | | | Signed-off-by: Mikle Kolyada <zlogene@gentoo.org> Package-Manager: Portage-2.3.66, Repoman-2.3.11 RepoMan-Options: --include-arches="s390"
* app-editors/vim: stable 8.1.1486 for hppa, bug #687394Sergei Trofimovich2019-06-151-1/+1
| | | | | | Package-Manager: Portage-2.3.67, Repoman-2.3.14 RepoMan-Options: --include-arches="hppa" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* app-editors/vim: x86 stable wrt bug #687394Agostino Sarubbo2019-06-141-1/+1
| | | | | | Signed-off-by: Agostino Sarubbo <ago@gentoo.org> Package-Manager: Portage-2.3.66, Repoman-2.3.11 RepoMan-Options: --include-arches="x86"
* app-editors/vim: ia64 stable wrt bug #687394Agostino Sarubbo2019-06-141-1/+1
| | | | | | Signed-off-by: Agostino Sarubbo <ago@gentoo.org> Package-Manager: Portage-2.3.66, Repoman-2.3.11 RepoMan-Options: --include-arches="ia64"